searchNodes=[{"type":"module","title":"ExPhoneNumber","doc":"Parsing, formatting, and validating international phone numbers. Example Usage iex&gt; ExPhoneNumber . parse ( &quot;202-456-1111&quot; , &quot;US&quot; ) { :ok , % ExPhoneNumber.Model.PhoneNumber { country_code : 1 , country_code_source : nil , extension : nil , italian_leading_zero : nil , national_number : 2024561111 , number_of_leading_zeros : nil , preferred_domestic_carrier_code : nil , raw_input : nil } } iex&gt; { :ok , phone_number } = ExPhoneNumber . parse ( &quot;202-456-1111&quot; , &quot;US&quot; ) iex&gt; ExPhoneNumber . format ( phone_number , :e164 ) &quot;+12024561111&quot; iex&gt; ExPhoneNumber . is_valid_number? ( phone_number ) true iex&gt; ExPhoneNumber . is_possible_number? ( phone_number ) true iex&gt; ExPhoneNumber . get_number_type ( phone_number ) :fixed_line_or_mobile","ref":"ExPhoneNumber.html"},{"type":"function","title":"ExPhoneNumber.format/2","doc":"","ref":"ExPhoneNumber.html#format/2"},{"type":"function","title":"ExPhoneNumber.get_number_type/1","doc":"","ref":"ExPhoneNumber.html#get_number_type/1"},{"type":"function","title":"ExPhoneNumber.is_possible_number?/1","doc":"","ref":"ExPhoneNumber.html#is_possible_number?/1"},{"type":"function","title":"ExPhoneNumber.is_possible_number?/2","doc":"","ref":"ExPhoneNumber.html#is_possible_number?/2"},{"type":"function","title":"ExPhoneNumber.is_valid_number?/1","doc":"","ref":"ExPhoneNumber.html#is_valid_number?/1"},{"type":"function","title":"ExPhoneNumber.parse/2","doc":"","ref":"ExPhoneNumber.html#parse/2"},{"type":"module","title":"ExPhoneNumber.Constants.PhoneNumberTypes","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.fixed_line/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#fixed_line/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.fixed_line_or_mobile/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#fixed_line_or_mobile/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.mobile/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#mobile/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.pager/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#pager/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.personal_number/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#personal_number/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.premium_rate/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#premium_rate/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.shared_cost/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#shared_cost/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.toll_free/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#toll_free/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.uan/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#uan/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.unknown/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#unknown/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.voicemail/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#voicemail/0"},{"type":"function","title":"ExPhoneNumber.Constants.PhoneNumberTypes.voip/0","doc":"","ref":"ExPhoneNumber.Constants.PhoneNumberTypes.html#voip/0"},{"type":"task","title":"Mix.Tasks.UpdateMetadata","doc":"Downloads the latest libphonenumber metadata from GitHub","ref":"Mix.Tasks.UpdateMetadata.html"},{"type":"extras","title":"ExPhoneNumber","doc":"Elixir library for parsing, formatting, and validating international phone numbers. Based on Google's libphonenumber . Current metadata version: v8.13.45.","ref":"readme.html"},{"type":"extras","title":"ExPhoneNumber - Installation","doc":"Add :ex_phone_number to your list of dependencies in mix.exs : def deps do [ { :ex_phone_number , &quot;~&gt; 0.4.5&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"ExPhoneNumber - Usage","doc":"iex&gt; { :ok , phone_number } = ExPhoneNumber . parse ( &quot;044 668 18 00&quot; , &quot;CH&quot; ) { :ok , % ExPhoneNumber.Model.PhoneNumber { country_code : 41 , country_code_source : nil , extension : nil , italian_leading_zero : nil , national_number : 446681800 , number_of_leading_zeros : nil , preferred_domestic_carrier_code : nil , raw_input : nil } } iex&gt; ExPhoneNumber . is_possible_number? ( phone_number ) true iex&gt; ExPhoneNumber . is_valid_number? ( phone_number ) true iex&gt; ExPhoneNumber . get_number_type ( phone_number ) :fixed_line iex&gt; ExPhoneNumber . format ( phone_number , :national ) &quot;044 668 18 00&quot; iex&gt; ExPhoneNumber . format ( phone_number , :international ) &quot;+41 44 668 18 00&quot; iex&gt; ExPhoneNumber . format ( phone_number , :e164 ) &quot;+41446681800&quot; iex&gt; ExPhoneNumber . format ( phone_number , :rfc3966 ) &quot;tel:+41-44-668-18-00&quot;","ref":"readme.html#usage"},{"type":"extras","title":"ExPhoneNumber - E164 Formatted Numbers","doc":"In E164 formatted numbers the country code can be detected. So you can pass them in to ExPhoneNumber.parse/2 with &quot;&quot; or nil as the second argument. iex&gt; ExPhoneNumber . parse ( &quot;+977123456789&quot; , &quot;&quot; ) { :ok , % ExPhoneNumber.Model.PhoneNumber { country_code : 977 , country_code_source : nil , extension : nil , italian_leading_zero : nil , national_number : 123456789 , number_of_leading_zeros : nil , preferred_domestic_carrier_code : nil , raw_input : nil } }","ref":"readme.html#e164-formatted-numbers"},{"type":"extras","title":"ExPhoneNumber - Development","doc":"There is a mix update_metadata task that downloads the latest libphonenumber metadata.","ref":"readme.html#development"},{"type":"extras","title":"ExPhoneNumber - Copyright and License","doc":"Copyright (c) 2023-2024 ExPhoneNumber Copyright (c) 2016-2022 NLCollect B.V. The source code is licensed under The MIT License (MIT)","ref":"readme.html#copyright-and-license"},{"type":"extras","title":"LICENSE","doc":"MIT License Copyright (c) 2023-2024 ExPhoneNumber Copyright (c) 2016-2022 NLCollect B.V. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Changelog","doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project aims to adhere to Semantic Versioning .","ref":"changelog.html"},{"type":"extras","title":"Changelog - Unreleased","doc":"","ref":"changelog.html#unreleased"},{"type":"extras","title":"Changelog - 0.4.5 - 2024-09-16","doc":"Changed Updated metadata source file to v8.13.45","ref":"changelog.html#0-4-5-2024-09-16"},{"type":"extras","title":"Changelog - 0.4.4 - 2024-03-09","doc":"Changed Updated metadata source file to v8.13.31","ref":"changelog.html#0-4-4-2024-03-09"},{"type":"extras","title":"Changelog - 0.4.3 - 2023-08-25","doc":"Changed Updated metadata source file to v8.13.19 Require Elixir v1.11+","ref":"changelog.html#0-4-3-2023-08-25"},{"type":"extras","title":"Changelog - 0.4.2 - 2023-05-22","doc":"Changed Updated metadata source file to v8.13.12","ref":"changelog.html#0-4-2-2023-05-22"},{"type":"extras","title":"Changelog - 0.4.1 - 2023-04-24","doc":"Fixed Stop failing if Tesla is not in the dependencies","ref":"changelog.html#0-4-1-2023-04-24"},{"type":"extras","title":"Changelog - 0.4.0 - 2023-04-18","doc":"Require Elixir v1.10+. Changed Updated metadata source file to v8.13.8","ref":"changelog.html#0-4-0-2023-04-18"},{"type":"extras","title":"Changelog - 0.3.0 - 2022-06-17","doc":"Changed Changed sweet_xml version requirement to ~&gt; 0.7","ref":"changelog.html#0-3-0-2022-06-17"}]